
tag @a remove sekai
gamemode s @a[m=!s]

execute @s[tag="host",tag="difficulty_p"] ~~~ difficulty p
execute @s[tag="host",tag="difficulty_e"] ~~~ difficulty e
execute @s[tag="host",tag="difficulty_n"] ~~~ difficulty n
execute @s[tag="host",tag="difficulty_h"] ~~~ difficulty h

execute @s[tag="host",tag="fp_on"] ~~~ gamerule keepinventory true
execute @s[tag="host",tag="fp_off"] ~~~ gamerule keepinventory false

tag @a[tag=!"speedrunner"] add hunter
tag @a[tag="hunter"] remove speedrunner

execute @e[tag="sekai_spawn",c=1] ~~~ spawnpoint @a ~~~
execute @a[tag="speedrunner"] ~~~ setworldspawn ~~0.5~
execute @a[tag="hunter"] ~~~ effect @a[tag="hunter",rm=60] speed 2 3 true

execute @s[tag="host",tag=!"started"] ~~~ tag @a add frozen
effect @a[tag="frozen",tag=!"unfreeze"] weakness 2 255 true
effect @a[tag="frozen",tag=!"unfreeze"] mining_fatigue 2 255 true
effect @a[tag="frozen",tag=!"unfreeze"] blindness 3 255 true
effect @a[tag="frozen",tag=!"unfreeze"] slowness 3 255 true
effect @a[tag="unfreeze",tag=!"clear_effect"] clear
tag @s[tag="unfreeze"] add clear_effect
execute @s[tag=!"started",tag="gp_on",tag=!"gp_end"] ~~~ tag @a[tag="speedrunner"] add grace
execute @s[tag=!"started",tag="gp_off"] ~~~ tag @a[tag="speedrunner"] remove grace

scoreboard objectives add timer dummy
scoreboard objectives add graceTimer dummy
scoreboard objectives add tickStart dummy

scoreboard players remove @s[tag="started",tag="timer_on"] timer 1
scoreboard players set @s[tag=!"started",tag="timer_on"] timer 36000
scoreboard players set @s[tag="timer_off"] timer 0

scoreboard players remove @s[tag="started",tag="gp_on",tag=!"gp_end"] graceTimer 1
scoreboard players set @s[tag=!"started",tag="gp_on"] graceTimer 1200
scoreboard players set @s[tag="gp_off"] graceTimer 0

scoreboard players add @s[tag=!"started"] tickStart 1
scoreboard players set @s[tag="started"] tickStart 0

execute @s[tag="host",tag=!"started",scores={tickStart=1}] ~~~ clear @a
execute @s[tag="host",tag=!"started",scores={tickStart=1}] ~~~ effect @a clear

title @a times 20 19 5

execute @s[tag="host",tag=!"started",scores={tickStart=1}] ~~~ title @a title §7Minecraft §cManhunt§7
execute @s[tag="host",tag=!"started",scores={tickStart=1}] ~~~ title @a actionbar §eSelected Speedrunner:§r @a[tag="speedrunner",c=1]
execute @s[tag="host",tag=!"started",scores={tickStart=1}] ~~~ playsound mob.elderguardian.curse @a

execute @s[tag="host",tag=!"started",tag="timer_off",scores={tickStart=20}] ~~~ tellraw @a[tag="speedrunner"] {"rawtext":[{"text":"§7§l>§r Your goal is to beat Minecraft."}]}
execute @s[tag="host",tag=!"started",tag="timer_on",scores={tickStart=20}] ~~~ tellraw @a[tag="speedrunner"] {"rawtext":[{"text":"§7§l>§r Your goal is to beat Minecraft within one hour."}]}
execute @s[tag="host",tag=!"started",scores={tickStart=20}] ~~~ tellraw @a[tag="hunter"] {"rawtext":[{"text":"§7§l>§r Your goal is to catch and kill the speedrunner."}]}
execute @s[tag="host",tag=!"started",scores={tickStart=20}] ~~~ playsound random.orb @a

execute @s[tag="host",tag=!"started",scores={tickStart=50}] ~~~ tellraw @a[tag="speedrunner"] {"rawtext":[{"text":"§7§l>§r You will be given a 15 second headstart."}]}
execute @s[tag="host",tag=!"started",scores={tickStart=50}] ~~~ tellraw @a[tag="hunter"] {"rawtext":[{"text":"§7§l>§r All hunters will receive a navigator that will lead you to the speedrunner."}]}
execute @s[tag="host",tag=!"started",scores={tickStart=50}] ~~~ playsound random.orb @a

execute @s[tag="host",tag=!"started",scores={tickStart=80}] ~~~ tellraw @a[tag="speedrunner"] {"rawtext":[{"text":"§7§l>§r You will lose if you die once by any means!"}]}
execute @s[tag="host",tag=!"started",scores={tickStart=80}] ~~~ tellraw @a[tag="hunter"] {"rawtext":[{"text":"§7§l>§r You will lose if the speedrunner defeats the Ender Dragon and finishes the game!"}]}
execute @s[tag="host",tag=!"started",scores={tickStart=80}] ~~~ playsound random.orb @a

execute @s[tag="host",tag=!"started",scores={tickStart=110}] ~~~ tellraw @a {"rawtext":[{"text":"§7§l>§r Lastly, the most important thing is to enjoy!"}]}
execute @s[tag="host",tag=!"started",scores={tickStart=110}] ~~~ playsound random.orb @a

execute @s[tag="host",tag=!"started",scores={tickStart=120}] ~~~ title @a actionbar §7Starting in§r 3 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=120}] ~~~ playsound note.pling @a ~~~ 100
execute @s[tag="host",tag=!"started",scores={tickStart=130}] ~~~ title @a actionbar §7Starting in§r 2 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=130}] ~~~ playsound note.pling @a ~~~ 100
execute @s[tag="host",tag=!"started",scores={tickStart=140}] ~~~ title @a actionbar §7Starting in§r 1 second§r...
execute @s[tag="host",tag=!"started",scores={tickStart=140}] ~~~ playsound note.pling @a ~~~ 100
execute @s[tag="host",tag=!"started",scores={tickStart=150}] ~~~ tellraw @a {"rawtext":[{"text":"§a§l>§r Speedrunner has been released!"}]}
execute @s[tag="host",tag=!"started",scores={tickStart=150}] ~~~ playsound note.pling @a ~~~ 100 2
execute @s[tag="host",tag=!"started",scores={tickStart=150}] ~~~ tag @a[tag="speedrunner"] add unfreeze
execute @s[tag="host",tag=!"started",scores={tickStart=150}] ~~~ tag @a[tag="speedrunner"] remove immune

execute @s[tag="host",tag=!"started",scores={tickStart=160}] ~~~ title @a actionbar §7Releasing hunters in§r 15 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=160}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=210}] ~~~ title @a actionbar §7Releasing hunters in§r 10 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=210}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=260}] ~~~ title @a actionbar §7Releasing hunters in§r 5 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=260}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=270}] ~~~ title @a actionbar §7Releasing hunters in§r 4 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=270}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=280}] ~~~ title @a actionbar §7Releasing hunters in§r 3 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=280}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=290}] ~~~ title @a actionbar §7Releasing hunters in§r 2 seconds§r...
execute @s[tag="host",tag=!"started",scores={tickStart=290}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=300}] ~~~ title @a actionbar §7Releasing hunters in§r 1 second§r...
execute @s[tag="host",tag=!"started",scores={tickStart=300}] ~~~ playsound random.click @a
execute @s[tag="host",tag=!"started",scores={tickStart=310}] ~~~ tellraw @a {"rawtext":[{"text":"§a§l>§r Hunter(s) released!"}]}
execute @s[tag="host",tag=!"started",scores={tickStart=310}] ~~~ playsound mob.guardian.curse @a

execute @s[tag="host",tag=!"started",scores={tickStart=312}] ~~~ tag @a add unfreeze
execute @s[tag="host",tag=!"started",scores={tickStart=312}] ~~~ give @a[tag="hunter"] compass 1
execute @s[tag="host",tag=!"started",scores={tickStart=312}] ~~~ tag @a remove frozen
execute @s[tag="host",tag=!"started",scores={tickStart=312}] ~~~ tag @a remove immune
execute @s[tag="host",tag=!"started",scores={tickStart=312}] ~~~ tag @s add started
